@import 'src/style/includes/sass_vars_and_mixins.module.scss';


p {
  margin-top: var(--space-xs);
  margin-bottom: var(--space-l);
  line-height: var(--font-line-height-base);
}

ul, ol {
  margin: var(--space-m) 0;

  ul {
    margin-top: var(--space-xxs);
  }
}

a {
  color: var(--color-brand-base);
  text-decoration: none;
}


h1 {
  @include font-size(xxxl);
  margin: var(--space-xl) 0;
}

h2 {
  @include font-size(xxl);
  margin: var(--space-xl) 0 0;

  &:first-child {
    margin-top: 0;
  }
}

h3 {
  @include font-size(xl);
  margin: var(--space-m) 0;

  &:first-child {
    margin-top: 0;
  }
}

sub,
sup {
  line-height: 0;
  font-size: .7em;
  vertical-align: unset;
}

sup {
  vertical-align: super;
}

sup a {
  font-weight: 500;
}

:global(sup.footnote) {
  font-size: var(--font-size-xs);
  display: inline-block;
  padding-left: 0.1em;
}

pre {
  padding: var(--space-s) var(--space-m);
  background: var(--color-background-weaker);
  margin: var(--space-l) 0;
  margin-top: calc(-1 * var(--space-s));
  border-radius: 4px;
  white-space: pre-wrap;
  overflow: scroll;
  font-size: var(--space-s);
  line-height: 1.5em;

  code {
    padding: 0;
    background: transparent;
    border: none;
  }
}

code {
  padding: 0 0.2em;
  border: 1px solid var(--color-background-weaker);
  background: var(--color-background-weakest);
  border-radius: 2px;
  white-space: pre-wrap;
}

small {
  font-size: var(--font-size-s);
  color: var(--color-text-weaker);
  font-style: unset !important;
}

// TABLE

table {
  border-collapse: collapse;
  width: 100%;
  margin: var(--space-l) 0 var(--space-xl) 0;
  font-size: var(--font-size-s);
  line-height: var(--font-line-height-tighter);

  // tbody tr:nth-child(2n + 1) {
  //   background-color: var(--color-background-weakest);
  //   border-bottom: 1px solid var(--color-background-weaker);
  // }

  tbody tr {
    border-bottom: 1px solid var(--color-background-weakest);
  }

  th {
    text-align: left;
  }

  td,
  th {
    padding: var(--space-xxxs);
    padding-left: 0;
  }
}
